OpenTTD Source: AirportFTAClass Struct Reference

OpenTTD Source 14.0-beta3

Public Types | Public Member Functions | Data Fields
AirportFTAClass Struct Reference

Finite sTate mAchine (FTA) of an airport. More...

`#include <airport.h>`

## Public Types
enum | Flags { AIRPLANES = 0x1, HELICOPTERS = 0x2, ALL = AIRPLANES | HELICOPTERS, SHORT_STRIP = 0x4 }
| Bitmask of airport flags. More...

## Public Member Functions
| AirportFTAClass (const AirportMovingData *moving_data, const byte *terminals, const byte num_helipads, const byte *entry_points, Flags flags, const AirportFTAbuildup *apFA, byte delta_z)
const AirportMovingData * | MovingData (byte position) const
| Get movement data at a position. More...

## Data Fields
const AirportMovingData * | moving_data
| Movement data.
struct AirportFTA * | layout
| state machine for airport
const byte * | terminals
| Array with the number of terminal groups, followed by the number of terminals in each group.
const byte | num_helipads
| Number of helipads on this airport. When 0 helicopters will go to normal terminals.
Flags | flags
| Flags for this airport type.
byte | nofelements
| number of positions the airport consists of
const byte * | entry_points
| when an airplane arrives at this airport, enter it at position entry_point, index depends on direction
byte | delta_z
| Z adjustment for helicopter pads.

## Detailed Description

Finite sTate mAchine (FTA) of an airport.

Definition at line 143 of file airport.h.

## Member Enumeration Documentation

## ◆ Flags

enum AirportFTAClass::Flags

Bitmask of airport flags.

Enumerator
AIRPLANES | Can planes land on this airport type?
HELICOPTERS | Can helicopters land on this airport type?
ALL | Mask to check for both planes and helicopters.
SHORT_STRIP | This airport has a short landing strip, dangerous for fast aircraft.

Definition at line 146 of file airport.h.

## Member Function Documentation

## ◆ MovingData()

const AirportMovingData* AirportFTAClass::MovingData | ( | byte | position | ) | const
| inline

Get movement data at a position.

Parameters

  position | Element number to get movement data about.

Returns
  Pointer to the movement data.

Definition at line 170 of file airport.h.

References moving_data, and nofelements.

The documentation for this struct was generated from the following files:

- src/airport.h
- src/airport.cpp